- content_for :page_specific_javascripts do
  = page_specific_javascript_bundle_tag('merge_request_widget')

- status_class = @pipeline ? " ci-#{@pipeline.status}" : nil

= form_for [:merge, @project.namespace.becomes(Namespace), @project, @merge_request], remote: true, method: :post, html: { class: 'accept-mr-form js-quick-submit js-requires-input' } do |f|
  = hidden_field_tag :authenticity_token, form_authenticity_token
  = hidden_field_tag :sha, @merge_request.diff_head_sha
  .accept-merge-holder.clearfix.js-toggle-container
    .clearfix
      .accept-action
        - if @pipeline && @pipeline.active?
          %span.btn-group
            = button_tag class: "btn btn-create js-merge-button merge_when_build_succeeds", disabled: !@merge_request.approved?, ":disabled" => "disableAcceptance" do
              Merge When Pipeline Succeeds
            - unless @project.only_allow_merge_if_build_succeeds?
              = button_tag class: "btn btn-success dropdown-toggle", 'data-toggle' => 'dropdown', disabled: !@merge_request.approved?, ":disabled" => "disableAcceptance" do
                = icon('caret-down')
                %span.sr-only
                  Select Merge Moment
              %ul.js-merge-dropdown.dropdown-menu.dropdown-menu-right{ role: 'menu' }
                %li
                  = link_to "#", class: "merge_when_build_succeeds" do
                    = icon('check fw')
                    Merge When Pipeline Succeeds
                %li
                  = link_to "#", class: "accept_merge_request" do
                    = icon('warning fw')
                    Merge Immediately
        - else
          = f.button class: "btn btn-create btn-grouped js-merge-button accept_merge_request #{status_class}", disabled: !@merge_request.approved?, ":disabled" => "disableAcceptance" do
            Accept Merge Request
      - if @merge_request.force_remove_source_branch?
        .accept-control
          The source branch will be removed.
      - elsif @merge_request.can_remove_source_branch?(current_user)
        .accept-control.checkbox
          = label_tag :should_remove_source_branch, class: "merge-param-checkbox" do
            = check_box_tag :should_remove_source_branch
            Remove source branch
      = hidden_field_tag :squash, '0', id: nil
      - if @merge_request.commits_count > 1
        .accept-control.checkbox
          = label_tag :squash, class: 'merge-param-checkbox' do
            = check_box_tag :squash, '1', @merge_request.squash
            Squash commits
            = link_to icon('question-circle'), help_page_path('user/project/merge_requests/squash_and_merge'), title: 'About this feature', data: {toggle: 'tooltip', placement: 'bottom', container: 'body'}

      .accept-control
        - if @project.merge_requests_ff_only_enabled
          Fast-forward merge without a merge commit
        - else
          = link_to "#", class: "modify-merge-commit-link js-toggle-button" do
            = icon('edit')
            Modify commit message
    - unless @project.merge_requests_ff_only_enabled
      .js-toggle-content.hide.prepend-top-default
        = render 'shared/commit_message_container', params: params,
            message_with_description: @merge_request.merge_commit_message(include_description: true),
            message_without_description: @merge_request.merge_commit_message,
            text: @merge_request.merge_commit_message,
            rows: 14, hint: true

    = hidden_field_tag :merge_when_build_succeeds, "", autocomplete: "off"
